
import java.util.*;
import comprti.*;
import java.io.*;

/** 
*/
public class runSimVis implements RTIComponent {
  String name = "runSimVis";
  Process aProcess=null;
  public runSimVis() { }
  public void setContext(RTIContext cnt) { System.out.println(name+".setContext"); };
  public void created()     { System.out.println(name+".created"); };
  public void activated()   { 
    String separator = File.separator;
    String cmd=null;
    //start up the command
    if (separator.equals("/")) //UNIX
        cmd = "ls -al \n";
    else if (separator.equals("\\")) //WIN/NT wincmd
        cmd = "cmd.exe /C "+" wincmd runSimVis \n";   //running dir on top of WIN/NT
        //cmd = "command.com /C "+" DIR "+dir; //running dir on top of DOS  
    System.out.println(name+".activated"+cmd); 
    try { 
     aProcess=Runtime.getRuntime().exec(cmd);
    } catch(IOException ioe) {}
    System.out.println(name+".activated"); 
  };
  public void deactivated() { 
    if(aProcess!=null) { aProcess.destroy();aProcess=null;}
    System.out.println(name+".deactivated");
  }
  public void removed()     { System.out.println(name+".removed"); };

} /* end class app2 */
